Page MenuHomeFreeBSD

Add a note about the new DRM/KMS graphics drivers available in graphics/drm-kmod
ClosedPublic

Authored by debdrup on Oct 24 2018, 7:09 PM.

Details

Summary

Add a section to the x11 handbook section that covers the recent addition of the AMD, Intel, and Radeon GPU drivers which work as of 11.2, if not earlier.

Test Plan

Generated the html, didn't notice anything immediately wrong

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

debdrup created this revision.Oct 24 2018, 7:09 PM
debdrup updated this revision to Diff 49577.Oct 24 2018, 7:23 PM

Avoid weasel words, in accordance with the documentation primer.

debdrup updated this revision to Diff 49579.Oct 24 2018, 7:25 PM

Remove exteneous article.

bcr added a subscriber: bcr.Oct 24 2018, 7:30 PM

Two things, nothing major. Thanks for the help in getting this documented.

en_US.ISO8859-1/books/handbook/x11/chapter.xml
415

There needs to be an empty line after <title> tags. textproc/igor will tell you all about it when running it on your modified xml file.

419

Another empty line here between the closing </para> and <variablelist>.

debdrup updated this revision to Diff 49583.Oct 24 2018, 10:14 PM

Fixed issues pointed out by bcr@

debdrup marked 2 inline comments as done.Oct 24 2018, 10:23 PM
debdrup updated this revision to Diff 49609.Oct 25 2018, 1:36 PM

Added missing semicolon.

debdrup updated this revision to Diff 49701.Oct 27 2018, 5:52 PM

Added amdgpu, and explain that radeonkms and amdgpu are in general used for older and newer graphcs respectively.

Also add reference lists for which GPUs are supported.

Credits go to zeising@

rene added a subscriber: rene.Oct 28 2018, 11:08 AM
rene added inline comments.
en_US.ISO8859-1/books/handbook/x11/chapter.xml
440

Doesn't this contradict what is described in https://reviews.freebsd.org/D17690?id=49701#378825 ?

450

Same here?

zeising added inline comments.Oct 28 2018, 11:16 AM
en_US.ISO8859-1/books/handbook/x11/chapter.xml
440

Yeah, these are switched around.

debdrup updated this revision to Diff 49728.Oct 28 2018, 3:57 PM

Corrected which drivers work for what cards.

debdrup marked 3 inline comments as done.Oct 28 2018, 3:58 PM
rene added a comment.Oct 28 2018, 8:58 PM

The build fails for me, because it doesn't know the newly introduced entities:

rene@e17:/usr/freebsd/doc/head % find . -name "*.ent" -exec grep -iH radeon {} \;
./share/xml/man-refs.ent:<!ENTITY man.radeon.4x "<citerefentry xmlns='http://docbook.org/ns/docbook' vendor='xorg'><refentrytitle>radeon</refentrytitle><manvolnum>4</manvolnum></citerefentry>">
./share/xml/man-refs.ent:<!-- <!ENTITY man.radeonhd.4x "<citerefentry xmlns='http://docbook.org/ns/docbook' vendor='xorg'><refentrytitle>radeonhd</refentrytitle><manvolnum>4</manvolnum></citerefentry>"> -->
rene@e17:/usr/freebsd/doc/head %

But nothing for &radeonkms; ?

en_US.ISO8859-1/books/handbook/x11/chapter.xml
462

This </variablelist> is extraneous?

0mp added a subscriber: 0mp.Oct 29 2018, 11:39 AM
debdrup marked an inline comment as done.Oct 29 2018, 5:29 PM

I'm really not sure what I'm supposed to do about these entries (nor am I even sure where to add them), because upstream (linux drm/kms stack) doesn't seem to provide these man-pages and I'm not at all capable of writing them.

So what am I supposed to do?

debdrup updated this revision to Diff 49762.Oct 29 2018, 5:30 PM

Added forward slash on last variablelist tag.

debdrup updated this revision to Diff 49764.Oct 29 2018, 6:25 PM

Added entities properly, sorted alphabetically

debdrup retitled this revision from Add a note about the new DRM graphics drivers available in graphics/drm-kmod to Add a note about the new DRM/KMS graphics drivers available in graphics/drm-kmod.Oct 29 2018, 6:29 PM
debdrup edited the summary of this revision. (Show Details)
rene added a comment.Oct 29 2018, 9:02 PM

Updated patch at https://people.freebsd.org/~rene/patches/x11-kms.diff which (apart from the entities) solves all build problems and fixes some style/igor bugs.

debdrup updated this revision to Diff 49774.Oct 29 2018, 10:00 PM

Applied the changes from rene@ after satisfying myself I understand why they were made.

bcr added reviewers: wblock, hrs.Nov 2 2018, 4:42 PM

Adding Sato-San and Warren to help shed a light on the issue about the entities (which is the proper file they should be added to?).

debdrup updated this revision to Diff 50229.EditedNov 9 2018, 8:05 PM

Turns out this revision didn't work, will update with a new diff that fixes it once I get the OK for the change.

debdrup updated this revision to Diff 50233.Nov 9 2018, 9:21 PM

Supply a patch that (should) work.

rene updated this revision to Diff 50269.Nov 10 2018, 9:02 PM

Sent in a working patch.

rene accepted this revision.Nov 20 2018, 8:33 PM

Committed in r52500

This revision is now accepted and ready to land.Nov 20 2018, 8:33 PM
This revision was automatically updated to reflect the committed changes.